Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-49140

Users need BFA to know how to connect to MongoDB replicaSets

    Details

    • Similar Issues:

      Description

      We use MongoDB replicaSets to protect against data loss and improve uptime for the databases we keep in Mongo. We use SSL and MONGODB-CR to improve the security of our systems.

      The current version of BFA seems only to be able to connect to a single server. It has other shortcomings. It appears to have been put together back when MongoDB did have the security and robustness features we're using in it today.

      Please consider upgrading the mongodb client libraries you're using, as suggested in JENKINS-47882, and then re-working your config screen. You will improve the robustness and security of your tool.

      This is a "Major" problem for us because we rely on your plugin and our business continuity policies require we have our databases running in replicaSets if at all possible. Your plugin is the only database client we have today that can't.

      Upgrading to the new client will also give us access to SSL and MONGODB-CR, improving stability of your tool.

        Attachments

          Issue Links

            Activity

            mdiehn Mike Diehn created issue -
            mdiehn Mike Diehn made changes -
            Field Original Value New Value
            Link This issue relates to JENKINS-47882 [ JENKINS-47882 ]
            mdiehn Mike Diehn made changes -
            Link This issue relates to JENKINS-32615 [ JENKINS-32615 ]
            mdiehn Mike Diehn made changes -
            Link This issue relates to JENKINS-45315 [ JENKINS-45315 ]
            mdiehn Mike Diehn made changes -
            Summary Admins need BFA to know how to connect to MongoDB replicaSets Users need BFA to know how to connect to MongoDB replicaSets
            mdiehn Mike Diehn made changes -
            Link This issue relates to JENKINS-32615 [ JENKINS-32615 ]
            Hide
            mdiehn Mike Diehn added a comment -

            Added a link to the Mongo Java Drivers page.

            Show
            mdiehn Mike Diehn added a comment - Added a link to the Mongo Java Drivers page.
            mdiehn Mike Diehn made changes -
            Remote Link This issue links to "Mongo Java Drivers (Web Link)" [ 19939 ]
            Hide
            mdiehn Mike Diehn added a comment -

            Hoping to add motivation, I looked up the oldest version of the Java version that MongoDB 3.0 is compatible with and found that it is 2.13.0:

            See: https://docs.mongodb.com/manual/release-notes/3.0-compatibility/

            I think you're using 2.older-than-that, right?

            Show
            mdiehn Mike Diehn added a comment - Hoping to add motivation, I looked up the oldest version of the Java version that MongoDB 3.0 is compatible with and found that it is 2.13.0: See: https://docs.mongodb.com/manual/release-notes/3.0-compatibility/ I think you're using 2.older-than-that, right?
            mdiehn Mike Diehn made changes -
            Remote Link This issue links to "Mongo 3.0 DB and client compatibility (Web Link)" [ 19940 ]

              People

              • Assignee:
                t_westling Tomas Westling
                Reporter:
                mdiehn Mike Diehn
              • Votes:
                1 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: